Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.javaclient.analyzer
Class PersistenceConnection

    java.lang.Object
      samples.javaclient.analyzer.AbstractConnection
          samples.javaclient.analyzer.PersistenceConnection

class PersistenceConnection
extends AbstractConnection

BI Beans Catalog connection information from the configuration file. This class encapsulates the attributes from the <PersistenceConnection> element in the configuration file.

The `AnalyzerConnection` uses this class for access to the BI Beans Catalog information in the configuration file.

Field Summary
`protected oracle.xml.parser.v2.XMLElement` | `_root` Root XML element.

Constructor Summary
`(package private)` | `PersistenceConnection(oracle.xml.parser.v2.XMLElement root)` Constructor.

Method Summary
`DADFile` | `getDADFile()` Gets the DADFile that has the username and password.
`java.lang.String` | `getDADFileName()` Gets the name of the DAD file.
`java.lang.String` | `getHostName()` Gets the HostName attribute of the connection.
`java.lang.String` | `getID()` Gets the PCID attribute of the <PersistenceConnection>.
`java.lang.String` | `getJdbcDriverType()` Gets the JdbcDriverType attribute of the <PersistenceConnection>.
`java.lang.String` | `getPersistenceType()` Gets the PersistenceType attribute of the <PersistenceConnection>.
`java.lang.String` | `getPortNumber()` Gets the PortNumber attribute of the connection.
`java.lang.String` | `getRootFolder()` Gets the RootFolder attribute of the <PersistenceConnection>.
`java.lang.String` | `getSID()` Gets the SID attribute of the connection.
`boolean` | `isObfuscated()` Indicates whether the DAD file is obfuscated.
`void` | `setDADFileName(java.lang.String dad)` Sets the name of the DAD file.
`void` | `setHostName(java.lang.String host)` Sets the HostName attribute.
`void` | `setJdbcDriverType(java.lang.String driverType)` Sets the jdbcDriverType attribute of the <PersistenceConnection>.
`void` | `setObfuscated(boolean obfuscated)` Sets the Obfuscated attribute of the <DADFile> element.
`void` | `setPersistenceType(java.lang.String persistenceType)` Sets the PersistenceType attribute of the <PersistenceConnection>.
`void` | `setPortNumber(java.lang.String port)` Sets the PortNumber attribute of the connection.
`void` | `setRootFolder(java.lang.String rootFolder)` Sets the RootFolder attribute of the <PersistenceConnection>.
`void` | `setSID(java.lang.String sid)` Sets the SID attribute of the connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _root

    protected oracle.xml.parser.v2.XMLElement _root

  Root XML element.

Constructor Detail

### PersistenceConnection

    PersistenceConnection(oracle.xml.parser.v2.XMLElement root)

  Constructor.

Parameters:
  `root` - The root element in the configuration file (<BIConfig>).

Method Detail

### getID

    public java.lang.String getID()

  Gets the PCID attribute of the <PersistenceConnection>.

  Specified by:
    `getID` in class `AbstractConnection`
  Returns:
    The value of the PCID attribute.

### getJdbcDriverType

    public java.lang.String getJdbcDriverType()

  Gets the JdbcDriverType attribute of the <PersistenceConnection>.

  Returns:
    The value of the JdbcDriverType attribute.

### setJdbcDriverType

    public void setJdbcDriverType(java.lang.String driverType)

  Sets the jdbcDriverType attribute of the <PersistenceConnection>.

  Parameters:
    `driverType` - The value to set for the JdbcDriverType attribute.

### getPersistenceType

    public java.lang.String getPersistenceType()

  Gets the PersistenceType attribute of the <PersistenceConnection>.

  Returns:
    The value of the PersistenceType attribute.

### setPersistenceType

    public void setPersistenceType(java.lang.String persistenceType)

  Sets the PersistenceType attribute of the <PersistenceConnection>.

  Parameters:
    `persistenceType` - The value for the PersistenceType attribute.

### getRootFolder

    public java.lang.String getRootFolder()

  Gets the RootFolder attribute of the <PersistenceConnection>.

  Returns:
    The value of the RootFolder attribute.

### setRootFolder

    public void setRootFolder(java.lang.String rootFolder)

  Sets the RootFolder attribute of the <PersistenceConnection>.

  Parameters:
    `rootFolder` - The value of the RootFolder attribute.

### getHostName

    public java.lang.String getHostName()

  Gets the HostName attribute of the connection.

  Returns:
    The value of the HostName attribute.

### setHostName

    public void setHostName(java.lang.String host)

  Sets the HostName attribute.

### getPortNumber

    public java.lang.String getPortNumber()

  Gets the PortNumber attribute of the connection.

  Returns:
    The value of the PortNumber attribute.

### setPortNumber

    public void setPortNumber(java.lang.String port)

  Sets the PortNumber attribute of the connection.

### getSID

    public java.lang.String getSID()

  Gets the SID attribute of the connection.

  Returns:
    The value of the SID attribute.

### setSID

    public void setSID(java.lang.String sid)

  Sets the SID attribute of the connection.

  Parameters:
    `sid` - The SID to set as the SID attribute value.

### getDADFileName

    public java.lang.String getDADFileName()

  Gets the name of the DAD file. This method gets the Filename attribute of the <DADFile> element.

  Returns:
    The name of the DAD file.

### setDADFileName

    public void setDADFileName(java.lang.String dad)

  Sets the name of the DAD file. This method sets the Filename attribute of the <DADFile> element.

  Parameters:
    `dad` - The name of the DAD file, including path information.

### isObfuscated

    public boolean isObfuscated()

  Indicates whether the DAD file is obfuscated.

  Returns:
    `true` if the Obfuscated attribute of the <DADFile> element is true, `false` if the Obfuscated attribute is false.

### setObfuscated

    public void setObfuscated(boolean obfuscated)

  Sets the Obfuscated attribute of the <DADFile> element.

  Parameters:
    `obfuscated` - `true` to set the attribute to true, `false` to set it to false.

### getDADFile

    public DADFile getDADFile()
                       throws java.io.IOException

  Gets the DADFile that has the username and password.

  Returns:
    The DADFile.
  Throws:
    `java.io.IOException` - If there is a problem opening the DAD file.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD